SUBROUTINE WMCUM(KPROMA,KST,KEND,PFRTH,KSTGLO)

!**** *WMCUM* - EXTRACT PHYSICAL FIELDS FOR MOVIES

!     Purpose.
!     --------
!           EXTRACT PHYSICAL FIELDS FOR MOVIES    .

!**   Interface.
!     ----------
!        *CALL* *WMCUM*

!        Explicit arguments :
!        --------------------

!       KPROMA                 - HORIZONTAL DIMENSION                 (INPUT)
!       FLUXES COMING FROM THE PHYSICAL PARAMETERIZATIONS:

!       PFRTH (KPROMA) - FLUX DE RAYONNEMENT THERMIQUE.       (INPUT)

!        --------------------

!     Method.
!     -------
!        See documentation

!     Externals.
!     ----------

!     Reference.
!     ----------
!        NONE

!     Author.
!     -------
!        Y. BOUTELOUP

!     Modifications.
!     --------------
!        Original    : 93-02-29
!        Y.Bouteloup : 95-12-11 (Modif for semi-lag)
!        M.Hamrud      01-Oct-2003 CY28 Cleaning
!     ------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE YOMWM    , ONLY : FTHSOR

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KPROMA 
INTEGER(KIND=JPIM),INTENT(IN)    :: KST 
INTEGER(KIND=JPIM),INTENT(IN)    :: KEND 
REAL(KIND=JPRB)   ,INTENT(IN)    :: PFRTH(KPROMA) 
INTEGER(KIND=JPIM),INTENT(IN)    :: KSTGLO 
INTEGER(KIND=JPIM) ::   JROF
REAL(KIND=JPRB) :: ZHOOK_HANDLE

!     CUMUL

IF (LHOOK) CALL DR_HOOK('WMCUM',0,ZHOOK_HANDLE)
DO JROF=KST,KEND
  FTHSOR(JROF+KSTGLO-1)=PFRTH(JROF)
ENDDO

IF (LHOOK) CALL DR_HOOK('WMCUM',1,ZHOOK_HANDLE)
END SUBROUTINE WMCUM
